DUNE-PROMOTION(1)

NAME

dune-promotion - Control how changes are propagated back to source code.

SYNOPSIS

dune promotion COMMAND …

COMMANDS

apply [OPTION]… [FILE]…
    Promote files from the last run

diff [OPTION]… [FILE]…
    List promotions to be applied

list [OPTION]… [FILE]…
    List promotions files

show [OPTION]… [FILE]…
    Display contents of a corrected file

COMMON OPTIONS

--help[=FMT] (default=auto)
    Show this help in format FMT. The value FMT must be one of auto, pager, groff or plain. With auto, the format is pager or plain whenever the TERM env var is dumb or undefined.

--version
    Show version information.

EXIT STATUS

dune promotion exits with:

0   on success.

1   if an error happened.

130 if it was interrupted by a signal.

SEE ALSO

dune(1)